Package ghidra.program.model.listing

# Interface VariableFilter

All Known Implementing Classes:
  `VariableFilter.CompoundStackVariableFilter`, `VariableFilter.LocalVariableFilter`, `VariableFilter.MemoryVariableFilter`, `VariableFilter.ParameterFilter`, `VariableFilter.RegisterVariableFilter`, `VariableFilter.StackVariableFilter`, `VariableFilter.UniqueVariableFilter`

public interface VariableFilter

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `VariableFilter.CompoundStackVariableFilter`
  `static class`
  `VariableFilter.LocalVariableFilter`
  `static class`
  `VariableFilter.MemoryVariableFilter`
  `static class`
  `VariableFilter.ParameterFilter`
  `static class`
  `VariableFilter.RegisterVariableFilter`
  `static class`
  `VariableFilter.StackVariableFilter`
  `static class`
  `VariableFilter.UniqueVariableFilter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VariableFilter`
  `COMPOUND_STACK_VARIABLE_FILTER`
  `COMPOUND_STACK_VARIABLE_FILTER` matches all simple or compound variables which utilize a stack storage element
  `static final VariableFilter`
  `LOCAL_VARIABLE_FILTER`
  `LOCAL_VARIABLE_FILTER` matches all simple stack variables.
  `static final VariableFilter`
  `MEMORY_VARIABLE_FILTER`
  `MEMORY_VARIABLE_FILTER` matches all simple memory variables
  `static final VariableFilter`
  `NONAUTO_PARAMETER_FILTER`
  `NONAUTO_PARAMETER_FILTER` matches all parameters which are not an auto-param.
  `static final VariableFilter`
  `PARAMETER_FILTER`
  `PARAMETER_FILTER` matches all parameters (includes auto-params).
  `static final VariableFilter`
  `REGISTER_VARIABLE_FILTER`
  `REGISTER_VARIABLE_FILTER` matches all simple register variables
  `static final VariableFilter`
  `STACK_VARIABLE_FILTER`
  `STACK_VARIABLE_FILTER` matches all simple stack variables
  `static final VariableFilter`
  `UNIQUE_VARIABLE_FILTER`
  `UNIQUE_VARIABLE_FILTER` matches all simple unique variables identified by a hash value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `matches(Variable variable)`
  Determine if the specified variable matches this filter criteria

- ## Field Details

  - ### PARAMETER_FILTER

    static final VariableFilter PARAMETER_FILTER
    `PARAMETER_FILTER` matches all parameters (includes auto-params). A variable is treated as a parameter by this filter if it implements the Parameter interface.

  - ### NONAUTO_PARAMETER_FILTER

    static final VariableFilter NONAUTO_PARAMETER_FILTER
    `NONAUTO_PARAMETER_FILTER` matches all parameters which are not an auto-param. A variable is treated as a parameter by this filter if it implements the Parameter interface.

  - ### LOCAL_VARIABLE_FILTER

    static final VariableFilter LOCAL_VARIABLE_FILTER
    `LOCAL_VARIABLE_FILTER` matches all simple stack variables. A variable is treated as local by this filter if it does not implement the Parameter interface.

  - ### STACK_VARIABLE_FILTER

    static final VariableFilter STACK_VARIABLE_FILTER
    `STACK_VARIABLE_FILTER` matches all simple stack variables

  - ### COMPOUND_STACK_VARIABLE_FILTER

    static final VariableFilter COMPOUND_STACK_VARIABLE_FILTER
    `COMPOUND_STACK_VARIABLE_FILTER` matches all simple or compound variables which utilize a stack storage element

  - ### REGISTER_VARIABLE_FILTER

    static final VariableFilter REGISTER_VARIABLE_FILTER
    `REGISTER_VARIABLE_FILTER` matches all simple register variables

  - ### MEMORY_VARIABLE_FILTER

    static final VariableFilter MEMORY_VARIABLE_FILTER
    `MEMORY_VARIABLE_FILTER` matches all simple memory variables

  - ### UNIQUE_VARIABLE_FILTER

    static final VariableFilter UNIQUE_VARIABLE_FILTER
    `UNIQUE_VARIABLE_FILTER` matches all simple unique variables identified by a hash value

- ## Method Details

  - ### matches

    boolean matches(Variable variable)
    Determine if the specified variable matches this filter criteria
    Parameters:
      `variable` -
    Returns:
      true if variable satisfies the criteria of this filter